Summary:	A CUPS backend for HAL
Name:		hal-cups-utils
Version:	0.6.16
Release:	%mkrel 21
License:	GPLv2+
Group:		System/Configuration/Printing
URL:		https://fedorahosted.org/hal-cups-utils/
Source:		https://fedorahosted.org/releases/h/a/hal-cups-utils/%{name}-%{version}.tar.bz2
Source1:	mdv_printer_custom.py
Source2:    hp-makeuri-mdv.c
Source3:    mdv_backend
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	dbus-glib-devel
BuildRequires:  libcups-devel
BuildRequires:  libhal-devel
BuildRequires:  python-devel
BuildRequires:  libhpip-devel
Requires:   hplip-model-data
# nmap is required to scan the network, just like 
# printerdrake used to do.
Requires:   nmap
Patch1:		hal-cups-utils-0.6.16-svn.patch
Patch2:		hal-cups-utils-0.6.16-nocupsinclude.patch
Patch3:		hal-cups-utils-0.6.16-fixlibdir.patch
Patch4:		hal-cups-utils-0.6.16-mdv_custom.patch

%description
This package contains utilities for linking CUPS to HAL. This includes:

* backend/hal - the CUPS backend for browsing local printers using HAL
* systemv/hal_lpadmin - a utility based on lpadmin for adding, configuring and
  removing printers using hal UDI's
* requires system-config-printer-libs and a running cups server

%prep
%setup -q
%patch1 -p1 -b .svnpatch
%patch2 -p1 -b .nocupsinclude
%patch3 -p1 -b .fixlibdir
%patch4 -p1 -b .mdv_custom

%build
./autogen.sh
%configure2_5x
%make
# (salem) this hack avoids requiring hplip
gcc %{SOURCE2} -o hp-makeuri-mdv -lhpmud

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mozillaextpath}
mkdir -p %{buildroot}%{py_platsitedir}
mkdir -p %{buildroot}%{_bindir}
cp -f %{SOURCE1} %{buildroot}%{py_platsitedir}
cp -f hp-makeuri-mdv %{buildroot}%{_bindir}

%makeinstall_std

cp -f %{SOURCE3} %{buildroot}%{_libdir}/cups/backend

# Make cups run this backend as root to workaround device permissions issues (bug #49407)
chmod 0700 %{buildroot}%{_libdir}/cups/backend/hal

mkdir -p %{buildroot}%{_libdir}/hal
mv  %{buildroot}%{_libdir}/hal_lpadmin %{buildroot}%{_libdir}/hal
pushd %{buildroot}%{py_platsitedir}
python -m compileall .
popd

%find_lang %name

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc INSTALL README NEWS ChangeLog
%{_libdir}/cups/backend/hal
%{_libdir}/cups/backend/mdv_backend
%{_libdir}/hal/hal_lpadmin
%{_bindir}/hp-makeuri-mdv
%{_datadir}/hal/fdi/policy/10osvendor/10-hal_lpadmin.fdi
%{py_platsitedir}/mdv_printer_custom.py*

%post
# disable old printer detection system
if [ -f /etc/sysconfig/printing ]; then
    if grep -q ^AUTO_SETUP_QUEUES_ON_PRINTER_CONNECTED= /etc/sysconfig/printing; then
        sed -i 's/AUTO_SETUP_QUEUES_ON_PRINTER_CONNECTED=.*/AUTO_SETUP_QUEUES_ON_PRINTER_CONNECTED=no/g' /etc/sysconfig/printing
    else
        echo AUTO_SETUP_QUEUES_ON_PRINTER_CONNECTED=no >> /etc/sysconfig/printing
    fi
    if grep -q ^ENABLE_QUEUES_ON_PRINTER_CONNECTED= /etc/sysconfig/printing; then
        sed -i 's/ENABLE_QUEUES_ON_PRINTER_CONNECTED=.*/ENABLE_QUEUES_ON_PRINTER_CONNECTED=no/g' /etc/sysconfig/printing
    else
        echo ENABLE_QUEUES_ON_PRINTER_CONNECTED=no >> /etc/sysconfig/printing
    fi
else
    echo AUTO_SETUP_QUEUES_ON_PRINTER_CONNECTED=no >> /etc/sysconfig/printing
    echo ENABLE_QUEUES_ON_PRINTER_CONNECTED=no >> /etc/sysconfig/printing
fi

%postun
# enable old printer detection system
if [ -f /etc/sysconfig/printing ]; then
    if grep -q ^AUTO_SETUP_QUEUES_ON_PRINTER_CONNECTED= /etc/sysconfig/printing; then
        sed -i 's/AUTO_SETUP_QUEUES_ON_PRINTER_CONNECTED=.*/AUTO_SETUP_QUEUES_ON_PRINTER_CONNECTED=yes/g' /etc/sysconfig/printing
    fi
    if grep -q ^ENABLE_QUEUES_ON_PRINTER_CONNECTED= /etc/sysconfig/printing; then
        sed -i 's/ENABLE_QUEUES_ON_PRINTER_CONNECTED=.*/ENABLE_QUEUES_ON_PRINTER_CONNECTED=yes/g' /etc/sysconfig/printing
    fi
fi



%changelog
* Tue Nov 17 2009 Tiago Salem <salem@mandriva.com.br> 0.6.16-21mdv2010.1
+ Revision: 466866
- fix #48205, do not require the system-config-printer-applet running to re-enable printers.

* Wed Oct 28 2009 Gustavo De Nardin <gustavodn@mandriva.com> 0.6.16-20mdv2010.0
+ Revision: 459629
- updated URL
- put hal_lpadmin in its new dir

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.6.16-19mdv2010.0
+ Revision: 425138
- rebuild

* Wed Apr 22 2009 Gustavo De Nardin <gustavodn@mandriva.com> 0.6.16-18mdv2009.1
+ Revision: 368616
- Make cups run hal backend as root to workaround device permissions issues (bug #49407)

* Sat Dec 27 2008 Adam Williamson <awilliamson@mandriva.org> 0.6.16-17mdv2009.1
+ Revision: 319570
- rebuild with python 2.6

* Wed Sep 24 2008 Tiago Salem <salem@mandriva.com.br> 0.6.16-16mdv2009.0
+ Revision: 287940
- reenabling firmware management when enabling the queue as
  it was disabled in foo2zjs udev rule.
- bump release

* Tue Sep 23 2008 Tiago Salem <salem@mandriva.com.br> 0.6.16-15mdv2009.0
+ Revision: 287563
- add a custom cups backend to be able to detect non regular printers (some network ones for example)
- bump release

* Tue Sep 23 2008 Tiago Salem <salem@mandriva.com.br> 0.6.16-14mdv2009.0
+ Revision: 287249
- fix wrong name in firmware request notification
- bump release

* Tue Sep 23 2008 Tiago Salem <salem@mandriva.com.br> 0.6.16-13mdv2009.0
+ Revision: 287242
- fix make2simplename() to return lower case strings. (#44132)
- bump release

* Mon Sep 22 2008 Tiago Salem <salem@mandriva.com.br> 0.6.16-12mdv2009.0
+ Revision: 286894
- add network printer detection
- add requires to nmap
- bump release

* Fri Sep 19 2008 Tiago Salem <salem@mandriva.com.br> 0.6.16-11mdv2009.0
+ Revision: 285969
- disable firmware downloading when enabling the queue
- strip make and model white spaces. Probably related to #34631.
- bump release

* Tue Sep 16 2008 Tiago Salem <salem@mandriva.com.br> 0.6.16-10mdv2009.0
+ Revision: 285346
- do not add printers if we have no applets running
- bump release

* Wed Aug 27 2008 Tiago Salem <salem@mandriva.com.br> 0.6.16-9mdv2009.0
+ Revision: 276520
- append "_series" when searching in hp database
- bump release

* Tue Aug 26 2008 Tiago Salem <salem@mandriva.com.br> 0.6.16-8mdv2009.0
+ Revision: 276343
- fix return of the function make2simplename()
- bump release

* Fri Aug 22 2008 Tiago Salem <salem@mandriva.com.br> 0.6.16-7mdv2009.0
+ Revision: 275228
- add function to reload parallel port kernel modules
- bump release

* Wed Aug 20 2008 Tiago Salem <salem@mandriva.com.br> 0.6.16-6mdv2009.0
+ Revision: 274429
- add hp-makeuri-mdv to avoid requiring hplip
- modify hal_lpadmin to use hp-makeuri-mdv instead the one from hplip
- generate pyc just like it is done in system-config-printer spec
- bump release

* Fri Aug 08 2008 Tiago Salem <salem@mandriva.com.br> 0.6.16-5mdv2009.0
+ Revision: 267250
- add python-devel as BuildRequires
- add mandriva stuff to work with system-config-printer-applet
- add %%post/%%postun to disable/enable old printer system detection
- bump release

* Mon Jul 07 2008 Tiago Salem <salem@mandriva.com.br> 0.6.16-4mdv2009.0
+ Revision: 232520
- update to 0.6.16 + current svn version. Fixes cupshelpers path.
- close-hostname patch is deprecated in latest svn
- bump release

* Fri Jun 20 2008 Tiago Salem <salem@mandriva.com.br> 0.6.16-3mdv2009.0
+ Revision: 227577
- add patch to prevent crashes when adding a new printer
- bump release

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Jun 06 2008 Tiago Salem <salem@mandriva.com.br> 0.6.16-2mdv2009.0
+ Revision: 216554
- add patch to fix libdir on configure script
- Add libcups and hal as buildrequires

  + Helio Chissini de Castro <helio@mandriva.com>
    - import hal-cups-utils


